Bug 122312 - UI: Image quality drop down box is too narrow to fit its selection in HTML Export dialog
Summary: UI: Image quality drop down box is too narrow to fit its selection in HTML Ex...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.2
Keywords: bibisected, bisected
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2018-12-24 19:53 UTC by Telesto
Modified: 2019-01-14 16:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (43.11 KB, image/jpeg)
2018-12-24 19:54 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-12-24 19:53:45 UTC
Description:
UI: Image quality drop down box to small in HTML Export dialog

Steps to Reproduce:
1. Open Draw
2. File -> Export -> HTML -> Choose a file name
3. Next -> Next 
4. Look at "Save Image as"

Actual Results:
Quality box to small (see screenshot)

Expected Results:
Proper size


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+
Build ID: beae6c7a7f163daad0d4dea63a3d403af2745fd1
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-06_23:55:16
Locale: en-US (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2018-12-24 19:54:12 UTC
Created attachment 147805 [details]
Screenshot
Comment 2 V Stuart Foote 2018-12-25 04:52:18 UTC
Confirmed on Windows build. In the HTML Export wizard/dialog the width of the droplist widget for the Save Images As -> JPG radio button: does not fit Quality selection values. Widget is too narrow.

=-testing-=
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 49fcd3bbb30f93763fc5cb80fa6ac5cec5d00834
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-12-24_22:40:25
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 3 Xisco Faulí 2018-12-26 14:50:10 UTC
Also reproduced in

Version: 5.4.0.0.alpha1+
Build ID: 9feb7f7039a3b59974cbf266922177e961a52dd1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.15; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)
Comment 4 Xisco Faulí 2018-12-26 15:00:07 UTC
The behaviour changed after https://cgit.freedesktop.org/libreoffice/core/commit/?id=58d5be58d35c8fa1db9be78027aeeb94ae8e1969.
Reading now the commit, I don't think this is a regression...
Probably the way to solve would be to make the widget a bit bigger...
Comment 5 Xisco Faulí 2018-12-26 15:43:12 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/65622/
Comment 6 Commit Notification 2019-01-07 09:13:04 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9b255a7be8b7aab9bb5fcbea572fdaad37d9e8c1%5E%21

tdf#122312: Expand Combobox

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-01-07 11:02:48 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/4cfedb473850398ca7dd2cbf3df4e37fc6251d85%5E%21

tdf#122312: Expand Combobox

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 BogdanB 2019-01-14 16:26:05 UTC
Solved.
Verified on
Version: 6.3.0.0.alpha0+
Build ID: afbbdcc216a84b59fb263777659b044c4a7cf6f0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-13_03:54:12
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Solved also in
Version: 6.2.0.2
Build ID: 2ce5217b30a543f7666022df50f0562f82be0cff
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded